مدیریتکنندههای اعلان
GET https://uptimer24.com/api/notification-handlers/
curl --request GET \
--url 'https://uptimer24.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | شما در حال جستجو بر اساس چه فیلدی هستید. مقادیر مجاز عبارتند از: name. |
| is_enabled | اختیاری بولین | |
| type | اختیاری رشته | شما در حال جستجو بر اساس چه فیلدی هستید. مقادیر مجاز عبارتند از: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id. |
| datetime_field | اختیاری رشته | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختیاری رشته | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختیاری رشته | چه فیلدی برای مرتبسازی نتایج استفاده شود. مقادیر مجاز عبارتند از: notification_handler_id, datetime, last_datetime, name. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز عبارتند از: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن شروع شود. به طور پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح | چند نتیجه در هر صفحه میخواهید. مقادیر مجاز عبارتند از: 10, 25, 50, 100, 250, 500, 1000. به طور پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-19 04:21:32",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimer24.com/api/notification-handlers?page=1",
"last": "https://uptimer24.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://uptimer24.com/api/notification-handlers?page=1"
}
}
GET https://uptimer24.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-19 04:21:32",
}
}
POST https://uptimer24.com/api/notification-handlers
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | ضروری رشته | - |
| type | ضروری رشته | مقادیر مجاز: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id |
| اختیاری رشته | در دسترس زمانی که: type = email ایمیل | |
| webhook | اختیاری رشته | در دسترس زمانی که: type = webhook آدرس URL وبهوک |
| slack | اختیاری رشته | در دسترس زمانی که: type = slack آدرس URL وبهوک Slack |
| discord | اختیاری رشته | در دسترس زمانی که: type = discord آدرس URL وبهوک Discord |
| telegram | اختیاری رشته | در دسترس زمانی که: type = telegram توکن API تلگرام |
| telegram_chat_id | اختیاری رشته | در دسترس زمانی که: type = telegram شناسه چت تلگرام |
| microsoft_teams | اختیاری رشته | در دسترس زمانی که: type = microsoft_teams آدرس URL وبهوک Microsoft Teams |
| google_chat | اختیاری رشته | در دسترس زمانی که: type = google_chat آدرس URL وبهوک چت گوگل |
| x_consumer_key | اختیاری رشته | در دسترس زمانی که: type = x توکن API تلگرام |
| x_consumer_secret | اختیاری رشته | در دسترس زمانی که: type = x توکن API تلگرام |
| x_access_token | اختیاری رشته | در دسترس زمانی که: type = x توکن API تلگرام |
| x_access_token_secret | اختیاری رشته | در دسترس زمانی که: type = x توکن API تلگرام |
| push_subscriber_id | اختیاری رشته | در دسترس زمانی که: type = push_subscriber_id مشترک پوش |
curl --request POST \
--url 'https://uptimer24.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://uptimer24.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://uptimer24.com/api/notification-handlers/{notification_handler_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | اختیاری رشته | - |
| type | اختیاری رشته | مقادیر مجاز: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id |
| اختیاری رشته | در دسترس زمانی که: type = email ایمیل | |
| webhook | اختیاری رشته | در دسترس زمانی که: type = webhook آدرس URL وبهوک |
| slack | اختیاری رشته | در دسترس زمانی که: type = slack آدرس URL وبهوک Slack |
| discord | اختیاری رشته | در دسترس زمانی که: type = discord آدرس URL وبهوک Discord |
| telegram | اختیاری رشته | در دسترس زمانی که: type = telegram توکن API تلگرام |
| telegram_chat_id | اختیاری رشته | در دسترس زمانی که: type = telegram شناسه چت تلگرام |
| microsoft_teams | اختیاری رشته | در دسترس زمانی که: type = microsoft_teams آدرس URL وبهوک Microsoft Teams |
| google_chat | اختیاری رشته | در دسترس زمانی که: type = google_chat آدرس URL وبهوک چت گوگل |
| x_consumer_key | اختیاری رشته | در دسترس زمانی که: type = x توکن API تلگرام |
| x_consumer_secret | اختیاری رشته | در دسترس زمانی که: type = x توکن API تلگرام |
| x_access_token | اختیاری رشته | در دسترس زمانی که: type = x توکن API تلگرام |
| x_access_token_secret | اختیاری رشته | در دسترس زمانی که: type = x توکن API تلگرام |
| push_subscriber_id | اختیاری رشته | در دسترس زمانی که: type = push_subscriber_id مشترک پوش |
| is_enabled | اختیاری بولین | - |
curl --request POST \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://uptimer24.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \